| ICM45605 eMD driver Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

Files | Classes | Functions
EDMP Wearable

High-level functions to drive eDMP Wearable features. More...

## Files
file | inv_imu_edmp_wearable.h

## Classes
struct | inv_imu_edmp_b2s_parameters_t
| IMU B2S parameters definition. More...

## Functions
int | inv_imu_edmp_b2s_init (inv_imu_device_t *s)
| Initialize B2S algorithm. More...
int | inv_imu_edmp_b2s_get_parameters (inv_imu_device_t *s, inv_imu_edmp_b2s_parameters_t *b2s_params)
| Get current B2S configuration settings. More...
int | inv_imu_edmp_b2s_set_parameters (inv_imu_device_t *s, const inv_imu_edmp_b2s_parameters_t *b2s_params)
| Set new B2S configuration settings. More...
int | inv_imu_edmp_b2s_enable (inv_imu_device_t *s)
| Enable APEX algorithm B2S. More...
int | inv_imu_edmp_b2s_disable (inv_imu_device_t *s)
| Disable APEX algorithm B2S. More...

## Detailed Description

High-level functions to drive eDMP Wearable features.

## Function Documentation

## ◆ inv_imu_edmp_b2s_disable()

int inv_imu_edmp_b2s_disable | ( | inv_imu_device_t * | s | ) |

Disable APEX algorithm B2S.

Parameters

  [in] | s | Pointer to device.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_edmp_b2s_enable()

int inv_imu_edmp_b2s_enable | ( | inv_imu_device_t * | s | ) |

Enable APEX algorithm B2S.

Parameters

  [in] | s | Pointer to device.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_edmp_b2s_get_parameters()

int inv_imu_edmp_b2s_get_parameters | ( | inv_imu_device_t * | s,
|  | inv_imu_edmp_b2s_parameters_t * | b2s_params
| ) |  |

Get current B2S configuration settings.

Parameters

  [in] | s | Pointer to device.
  [out] | b2s_params | Pointer to B2S configuration structure, which will hold current B2S configuration.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_edmp_b2s_init()

int inv_imu_edmp_b2s_init | ( | inv_imu_device_t * | s | ) |

Initialize B2S algorithm.

Parameters

  [in] | s | Pointer to device.

Returns
  0 on success, negative value on error.

## ◆ inv_imu_edmp_b2s_set_parameters()

int inv_imu_edmp_b2s_set_parameters | ( | inv_imu_device_t * | s,
|  | const inv_imu_edmp_b2s_parameters_t * | b2s_params
| ) |  |

Set new B2S configuration settings.

Parameters

  [in] | s | Pointer to device.
  [in] | b2s_params | Pointer to B2S configuration structure, which contains new B2S configuration.

Returns
  0 on success, negative value on error.